"use strict";

var _testRule = require("../../../testUtils/testRule");

var _testRule2 = _interopRequireDefault(_testRule);

var _ = require("..");

var _2 = _interopRequireDefault(_);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _testRule2.default)(_2.default, {
  ruleName: _.ruleName,
  config: ["always-before"],

  accept: [{
    code: "/* reason */\n/* stylelint-disable */\na {}"
  }, {
    code: "a {}/* reason *//* stylelint-disable-line block-no-empty */"
  }, {
    code: "a { /* reason */ color: pink; /* stylelint-disable-line color-no-named */}"
  }, {
    code: "a { /* reason */ color: pink; /* reason */ /* stylelint-disable-line color-no-named */}"
  }, {
    code: "/* reason */a {}/* stylelint-disable-line block-no-empty */"
  }],

  reject: [{
    code: "/* stylelint-disable */",
    message: _.messages.expectedBefore,
    line: 1,
    column: 1
  }, {
    code: "/* stylelint-disable */\na {}",
    message: _.messages.expectedBefore,
    line: 1,
    column: 1
  }, {
    code: "/* stylelint-disable */\n/* reason */\na {}",
    message: _.messages.expectedBefore,
    line: 1,
    column: 1
  }, {
    code: "/* reason */\n/* stylelint-disable block-no-empty */\n/* stylelint-disable no-browser-hacks */\na {}",
    message: _.messages.expectedBefore,
    line: 3,
    column: 1
  }, {
    code: "a {} /* stylelint-disable-line block-no-empty */",
    message: _.messages.expectedBefore,
    line: 1,
    column: 6
  }, {
    code: "a { color: pink; /* stylelint-disable-line block-no-empty */}",
    message: _.messages.expectedBefore,
    line: 1,
    column: 18
  }, {
    code: "a { /* reason */ display: block; color: pink; /* stylelint-disable-line block-no-empty */}",
    message: _.messages.expectedBefore,
    line: 1,
    column: 47
  }]
});

(0, _testRule2.default)(_2.default, {
  ruleName: _.ruleName,
  config: ["always-after"],

  accept: [{
    code: "/* stylelint-disable */\n/* reason */\na {}"
  }, {
    code: "a {}/* stylelint-disable-line *//* reason block-no-empty */"
  }],

  reject: [{
    code: "/* stylelint-disable */",
    message: _.messages.expectedAfter,
    line: 1,
    column: 1
  }, {
    code: "/* stylelint-disable */\na {}",
    message: _.messages.expectedAfter,
    line: 1,
    column: 1
  }, {
    code: "/* reason */\n/* stylelint-disable */\na {}",
    message: _.messages.expectedAfter,
    line: 2,
    column: 1
  }, {
    code: "/* stylelint-disable block-no-empty */\n/* reason */\n/* stylelint-disable no-browser-hacks */\na {}",
    message: _.messages.expectedAfter,
    line: 3,
    column: 1
  }, {
    code: "a {} /* stylelint-disable-line block-no-empty */",
    message: _.messages.expectedAfter,
    line: 1,
    column: 6
  }]
});